"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateFrontendTemplate = exports.generateBackendTemplate = void 0;
const js_yaml_1 = __importDefault(require("js-yaml"));
const fs_1 = __importDefault(require("fs"));
const generateBackendTemplate = (options) => {
    const { description, endpointType } = options;
    const data = {
        AWSTemplateFormatVersion: '2010-09-09',
        Description: description,
        Transform: 'AWS::Serverless-2016-10-31',
        Resources: {
            TestFunction: {
                Type: 'AWS::Serverless::Function',
                Properties: {
                    CodeUri: './dist',
                    Handler: 'TestFunction.default',
                    Runtime: 'nodejs12.x',
                    Timeout: 10,
                    MemorySize: 128,
                    Events: {
                        TestFunctionApiEvent: {
                            Type: 'Api',
                            Properties: {
                                Path: '/test',
                                Method: 'get',
                            },
                        },
                    },
                },
            },
        },
    };
    const yamlStr = js_yaml_1.default.safeDump(data);
    fs_1.default.writeFileSync('template.yaml', yamlStr, 'utf-8');
};
exports.generateBackendTemplate = generateBackendTemplate;
const generateFrontendTemplate = (options) => {
    return true;
};
exports.generateFrontendTemplate = generateFrontendTemplate;
