const path = require('path');
const BannerPlugin = require('webpack').BannerPlugin;
const TerserPlugin = require('terser-webpack-plugin');
module.exports = {
    entry: {
        TestFunction: './src/Application/TestFunction.ts',
    },
    resolve: {
        extensions: ['.ts', '.js', '.json'],
    },
    externals: {
        'aws-sdk': 'aws-sdk',
        'datadog-lambda-js': 'datadog-lambda-js',
        'dd-trace': 'dd-trace',
    },
    optimization: {
        minimizer: [new TerserPlugin({ terserOptions: { mangle: false } })],
    },
    target: 'node',
    output: {
        libraryTarget: 'commonjs',
        path: path.join(__dirname, 'dist'),
        filename: '[name].js',
    },
    module: {
        rules: [
            {
                test: /\.ts$/,
                exclude: /node_modules/,
                use: ['ts-loader'],
            },
        ],
    },
    devtool: 'inline-source-map',
    plugins: [
        new BannerPlugin({
            banner: 'require("source-map-support").install();',
            raw: true,
            entryOnly: false,
        }),
    ],
};
